dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
LManager:AddGame(eGAME_COMBO);
LManager:AddGame(eGAME_TAG);

--square block formation
LManager:AddTable(eTYPE_TABLE1, 160, 260);
LManager:AddTable(eTYPE_TABLE2, 360, 260);
LManager:AddTable(eTYPE_TABLE3, 560, 260);
LManager:AddTable(eTYPE_TABLE4, 160, 375);
LManager:AddTable(eTYPE_TABLE5, 360, 375);
LManager:AddTable(eTYPE_TABLE6, 560, 375);
LManager:AddTable(eTYPE_TABLE7, 160, 490);
LManager:AddTable(eTYPE_TABLE8, 360, 490);
LManager:AddTable(eTYPE_TABLE9, 560, 490);

LManager:AddCandle(165, 74, 7500);
LManager:AddCandle(285, 74, 7500);
LManager:AddCandle(576, 74, 7500);

seated = LManager.GenSeated(eTYPE_SEATED12);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED13);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED14);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED15);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED1);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 6;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 7;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 8;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 9;
LManager:AddSeated(seated);

-- table 1
guest = LManager.GenGuest(eTYPE_GUEST3);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 43000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 83000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 127000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 163000;
guest.needs[6] = eWANT_DRINK;
guest.times[6] = 203000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 253000;
guest.needs[8] = eWANT_GIFT;
guest.times[8] = 279000;
LManager:AddGuest(guest);

-- table 2
guest = LManager.GenGuest(eTYPE_GUEST4);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 15000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 76000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 128000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 180000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 230000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 285000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 303000;
guest.needs[8] = eWANT_DRINK;
guest.times[8] = 55000;
LManager:AddGuest(guest);

-- table 3
guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 8000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 43000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 78000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 113000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 148000;
guest.needs[6] = eWANT_DRINK;
guest.times[6] = 183000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 218000;
guest.needs[8] = eWANT_DRINK;
guest.times[8] = 253000;
guest.needs[9] = eWANT_DRINK;
guest.times[9] = 288000;
LManager:AddGuest(guest);

-- table 4
guest = LManager.GenGuest(eTYPE_GUEST6);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 13000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 53000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 93000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 156000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 183000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 223000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 263000;
guest.needs[8] = eWANT_DRINK;
guest.times[8] = 288000;
LManager:AddGuest(guest);

-- table 5
guest = LManager.GenGuest(eTYPE_GUEST7);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 30000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 55000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 78000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 103000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 128000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 153000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 185000;
guest.needs[8] = eWANT_DRINK;
guest.times[8] = 230000;
guest.needs[9] = eWANT_TALK;
guest.times[9] = 260000;
guest.needs[10] = eWANT_GIFT;
guest.times[10] = 285000;
LManager:AddGuest(guest);

-- table 6
guest = LManager.GenGuest(eTYPE_GUEST8);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 28000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 78000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 128000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 178000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 228000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 283000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 155000;
guest.needs[8] = eWANT_GIFT;
guest.times[8] = 2000;
LManager:AddGuest(guest);

-- table 7
guest = LManager.GenGuest(eTYPE_GUEST9);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 40000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 78000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 110000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 159000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 180000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 215000;
guest.needs[7] = eWANT_DRINK;
guest.times[7] = 258000;
guest.needs[8] = eWANT_GIFT;
guest.times[8] = 285000;
LManager:AddGuest(guest);

-- table 8
guest = LManager.GenGuest(eTYPE_GUEST10);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 55000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 80000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 128000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 160000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 185000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 230000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 265000;
guest.needs[8] = eWANT_GIFT;
guest.times[8] = 390000;
LManager:AddGuest(guest);

-- table 9
guest = LManager.GenGuest(eTYPE_GUEST11);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 80000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 110000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 145000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 180000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 215000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 230000;
guest.needs[7] = eWANT_GIFT;
guest.times[7] = 260000;
guest.needs[8] = eWANT_TALK;
guest.times[8] = 285000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(35000);

LManager:SetLevelNumber(5,9);
LManager:SetLevelScores(9800, 10800);
LManager:SetLevelTime(25000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();